Deploy InterwikiSorting extension to beta
Closed, ResolvedPublic

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJan 23 2017, 11:26 AM

Change 332917 had a related patch set uploaded (by Addshore):
Enable InterwikiSorting on beta cluster

https://gerrit.wikimedia.org/r/332917

Addshore moved this task from Backlog to In Progress on the User-Addshore board.Jan 23 2017, 11:27 AM

Change 333603 had a related patch set uploaded (by Addshore):
Enable InterwikiSorting on beta

https://gerrit.wikimedia.org/r/333603

Change 332917 merged by jenkins-bot:
Prepare to enable InterwikiSorting on beta cluster

https://gerrit.wikimedia.org/r/332917

Mentioned in SAL (#wikimedia-operations) [2017-01-24T09:30:52Z] <addshore@tin> Synchronized wmf-config/extension-list-labs: [[gerrit:332917|T155995 Prepare to enable InterwikiSorting on beta cluster]] 1/4 noop (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2017-01-24T09:32:00Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:332917|T155995 Prepare to enable InterwikiSorting on beta cluster]] 2/4 noop (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-01-24T09:32:59Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings-labs.php: [[gerrit:332917|T155995 Prepare to enable InterwikiSorting on beta cluster]] 3/4 noop (duration: 00m 40s)

Mentioned in SAL (#wikimedia-operations) [2017-01-24T09:33:56Z] <addshore@tin> Synchronized wmf-config/CommonSettings.php: [[gerrit:332917|T155995 Prepare to enable InterwikiSorting on beta cluster]] 4/4 noop (duration: 00m 38s)

Change 333882 had a related patch set uploaded (by Addshore):
Copy InterwikiSorting settings from wmgWikibaseClientSettings

https://gerrit.wikimedia.org/r/333882

Change 333884 had a related patch set uploaded (by Addshore):
Populate InterwikiSortingInterwikiSortOrders with WB Client

https://gerrit.wikimedia.org/r/333884

Change 333885 had a related patch set uploaded (by Addshore):
Rm InterwikiSorting settings from wmgWikibaseClientSettings

https://gerrit.wikimedia.org/r/333885

Change 333884 merged by jenkins-bot:
Populate InterwikiSortingInterwikiSortOrders with WB Client

https://gerrit.wikimedia.org/r/333884

Mentioned in SAL (#wikimedia-operations) [2017-01-24T12:05:00Z] <addshore@tin> Synchronized wmf-config/extension-list-labs: T155995 [[gerrit:332917|Prepare to enable InterwikiSorting on beta cluster]] 1/4 noop (duration: 00m 39s)

Mentioned in SAL (#wikimedia-operations) [2017-01-24T12:05:52Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: T155995 [[gerrit:332917|Prepare to enable InterwikiSorting on beta cluster]] 2/4 noop (duration: 00m 39s)

Mentioned in SAL (#wikimedia-operations) [2017-01-24T12:06:37Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings-labs.php: T155995 [[gerrit:332917|Prepare to enable InterwikiSorting on beta cluster]] 3/4 noop (duration: 00m 39s)

Mentioned in SAL (#wikimedia-operations) [2017-01-24T12:07:31Z] <addshore@tin> Synchronized wmf-config/CommonSettings.php: T155995 [[gerrit:332917|Prepare to enable InterwikiSorting on beta cluster]] & [[gerrit:333884|Populate InterwikiSortingInterwikiSortOrders with WB Client]] 4/4 noop (duration: 00m 39s)

Change 333882 merged by jenkins-bot:
Copy InterwikiSorting settings from wmgWikibaseClientSettings

https://gerrit.wikimedia.org/r/333882

Mentioned in SAL (#wikimedia-operations) [2017-01-24T12:14:47Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: T155995 [[gerrit:333882|Copy InterwikiSorting settings from wmgWikibaseClientSettings]] noop (duration: 00m 39s)

Change 333885 merged by jenkins-bot:
Rm InterwikiSorting settings from wmgWikibaseClientSettings

https://gerrit.wikimedia.org/r/333885

Mentioned in SAL (#wikimedia-operations) [2017-02-06T14:40:11Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: T155995 [[gerrit:333885|Rm InterwikiSorting settings from wmgWikibaseClientSettings]] PT 1/2 (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-02-06T14:41:59Z] <addshore@tin> Synchronized wmf-config/Wikibase.php: T155995 [[gerrit:333885|Rm InterwikiSorting settings from wmgWikibaseClientSettings]] PT 2/2 (duration: 00m 39s)

Change 333603 merged by jenkins-bot:
Enable InterwikiSorting on beta

https://gerrit.wikimedia.org/r/333603

Addshore moved this task from In Progress to Done on the User-Addshore board.
Addshore moved this task from Proposed to Done on the WMDE-QWERTY-Team-Board board.
Addshore closed this task as "Resolved".

The InteriwkiSorting extension is now deployed on beta sites!

This also means that WikibaseClient is now using the config as defined for the InterwikiSorting extension instead of the config in client settings which has now be removed from production:

I have created 2 test pages demoing the sorting:

This broke the compact language links based on comment T153900#3011037. I'm submitting a patch to use the new variable.

Addshore moved this task from Done to Demoed on the WMDE-QWERTY-Team-Board board.Mar 9 2017, 9:40 AM